## 一、前端开发规范
1. 所有的项目文件必须采用UTF-8编码，IDEA及Eclipse需要手动设置项目编码以及编译编码。 
    - Eclipse中修改项目编码的方法参考：[Eclipse修改编码方法](http://jingyan.baidu.com/article/647f0115b0c9887f2148a822.html)  
    - IDEA中修改项目编码的方法参考：[IDEA修改编码方法](http://jingyan.baidu.com/article/948f5924e4de57d80ff5f998.html])    

2. 前端开发采用Angular的MVC模式,项目中预设了一些`module`每个`module`的作用在此简单说明
```javascript
var applicationModule = angular.module('applicationModule',[]);
var chartsModule = angular.module('chartsModule',[]);
var toolsModule = angular.module('toolsModule',[]);
var myInfoModule = angular.module('myInfoModule',[]);
var workflowModule = angular.module('workflowModule',[]);
var derectiveModule = angular.module('derectiveModule',[]);
var tabModule = angular.module('tabModule',[]);
var loginModule = angular.module('loginModule',[]);
var utilModule = angular.module('utilModule',[]);
var JPushServiceModule = angular.module('JPushServiceModule',[]);
```
  *  `applicationModule`是主页tab各个功能使用的module
  *  `chartsModule`是报表tab使用的module
  *  `toolsModule`是工具tab使用的module
  *  `chartsModule`是报表tab使用的module
  *  `myInfoModule`是我的tab使用的module



